/*:

 /*:

 * @plugindesc 物品颜色描绘

 * @author Morpho(dongdongDJH)
Window_Base.prototype.drawItemName = function(item, x, y, width) {
    if (item) {
        const iconY = y + (this.lineHeight() - ImageManager.iconHeight) / 2;
        const textMargin = ImageManager.iconWidth + 4;
        const itemWidth = Math.max(0, width - textMargin);
        this.resetTextColor();
        this.drawIcon(item.iconIndex, x, iconY);
        this.drawText(item.name, x + textMargin, y, itemWidth);
    }
};
 * 

 * @help

 #不知道是作者还是我看的转帖的人员疏忽，漏了 case 1 。。我补上了。 by FFF


 * 在数据库物品备注栏里添加<ici:数字>

   <ici:1> # 一般品质的色彩（白，1）

   <ici:2> # 平庸品质的色彩（绿，2）

   <ici:3> # 精良品质的色彩（蓝，3）

   <ici:4> # 卓越品质的色彩（紫，4）

   <ici:5> # 神秘品质的色彩（红，5）

   <ici:6> # 传说品质的色彩（橙，6）

   <ici:7> # 特殊品质的色彩（黄，7）

   <ici:8> # 专属物品的色彩（黑，8）
   <ici:9> # 专属物品的色彩（黑，8）
   到
   <ici:18> # 专属物品的色彩（黑，8）

 */

(function(){
        Window_Base.prototype.itemColor = function(n){
                switch(n){
                        case 0:
                        returnthis.textColor(0);
                        break;
                        case 1:
                        return'rgba(255, 255, 255, 1)';
                        break;                       
                        case 2:
                        return'rgba(128, 255, 128, 1)';
                        break;
                        case 3:
                        return'rgba(57, 185, 255, 1)';
                        break;
                        case 4:
                        return'rgba(128, 100, 245, 1)';
                        break;
                        case 5:
                        return'rgba(255, 40, 255, 1)';
                        break;
                        case 6:
                        return'rgba(255, 128, 0, 1)';
                        break;
                        case 7:
                        return'rgba(255, 255, 128, 1)';
                        break;
                        case 8:
                        return'rgba(0, 0, 0, 1)';
                        break;
						case 9:
                        return'rgba(255, 228, 181, 1)';
                        break;
						case 10:
                        return'rgba(106, 90, 205, 1)';
                        break;						
						case 11:
                        return'rgba(255, 255, 0, 1)';
                        break;						
						case 12:
                        return'rgba(255, 0, 0, 1)';
                        break;						
						case 13:
                        return'rgba(144, 238, 144, 1)';
                        break;						
						case 14:
                        return'rgba(0, 0, 139, 1)';
                        break;						
						case 15:
                        return'rgba(255, 69, 0, 1)';
                        break;						
						case 16:
                        return'rgba(0, 205, 205, 1)';
                        break;						
						case 17:
                        return'rgba(255, 228, 225, 1)';
                        break;						
						case 18:
                        return'rgba(47, 79, 79, 1)';
                        break;
                }
        }
        Window_Base.prototype.drawItemName = function(item, x, y, width){
           // width = width || 312;
            if(item){
                var iconY = y + (this.lineHeight() - ImageManager.iconHeight) / 2;
                var textMargin = ImageManager.iconWidth + 4;
                var itemWidth = Math.max(0, width - textMargin);
                var ici;
                if(item.meta.ici != null){
                        ici = Number(item.meta.ici);
                }else{
                        ici = 1;
                };
				this.resetTextColor();
                //this.changeTextColor(ColorManager.paramchangeTextColor(ici));绿色
				//this.changeTextColor(ColorManager.systemColor(ici));蓝色
				this.changeTextColor(this.itemColor(ici));//浅蓝色
                this.drawIcon(item.iconIndex, x, iconY);
                this.drawText(item.name, x + textMargin, y, itemWidth);
                //this.drawText(item.name, x + iconBoxWidth, y, width - iconBoxWidth);
                    };
        };
}());